package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

//常量定义
const (
	FormatTime             = "15:04:05"                //时间格式
	FormatDate             = "2006-01-02"              //日期格式
	FormatDateTime         = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime      = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeNoSecond = "2006-01-02 15:04"        //完整时间格式
	FormatDateTimeUnSpace  = "20060102150405"          //完整时间格式
	PageSize15             = 15                        //列表页每页数据量
	PageSize5              = 5
	PageSize10             = 10
	PageSize20             = 20
	PageSize30             = 30
)

const (
	APPNAME           = "弘则-查研观向"
	EmailSendToUsers  = "glji@hzinsights.com;pyan@hzinsights.com;cxzhang@hzinsights.com"
	EmailSendToExpert = "cxzhang@hzinsights.com"
	DefaultHeadimgurl = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/P5qLR2zzfBdKItp3eX2Du1tvq9Ba.jpg"
	ApiAuthorization  = "bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkiLCJwaG9uZV9udW1iZXIiOiIxMjM0NTY3ODkiLCJuYW1lIjoi5YW25LuWIiwiZW50cmFuY2UiOiJwYXNzd3dvcmQiLCJpYXQiOjE2MzQ4NzA1OTQsImV4cCI6MTYzNDg3NDE5NH0.tho2L9jsbDPn8ltEGUVDve_nHsh0Kzf6ZrSz0RcZ0ag"
	ApiUrl            = "https://vmp.hzinsights.com/v2api/"
)

//手机号，电子邮箱正则
const (
	RegularMobile             = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularFixedTelephone     = "^(\\(\\d{3,4}\\)|\\d{3,4}-|\\s)?\\d{7,14}$"                                              //手机号码
	RegularFixedTelephoneEasy = "^[0-9\\-]+$"                                                                             //手机号码
	RegularEmail              = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

//聚合短信
var (
	JhGnTplId = "65692" //聚合国内模板编码
	JhGjTplId = "10054" //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

//OSS
var (
	Endpoint   string = "oss-cn-shanghai.aliyuncs.com"
	Bucketname string = "hongze"

	Imghost          string = "https://hongze.oss-cn-shanghai.aliyuncs.com/"
	Upload_dir       string = "static/images/"
	Upload_Audio_Dir string = "static/audio/"
	Upload_Pdf_Dir   string = "static/pdf/"

	AccessKeyId     string = "LTAIFMZYQhS2BTvW"
	AccessKeySecret string = "12kk1ptCHoGWedhBnKRVW5hRJzq9Fq"
)

//缓存key
const (
	CACHE_KEY_USER_VIEW           = "user_view_record"           //用户阅读数据
	CACHE_KEY_ARTICLE_ID_TEMPLATE = "ce_lue_article_id_template" //策略平台同步过来的文章ID，做微信模板消息推送，同一篇报告12小时只推送一次
)

//模板消息推送类型
const (
	TEMPLATE_MSG_CYGX_ACTIVITY_ADD = 12 //查研观向小程序活动更新推送 12
	TEMPLATE_MSG_CYGX_ARTICLE_ADD  = 13 //查研观向报告更新推送  13
	TEMPLATE_MSG_CYGX_APPLY        = 14 //查研观向审批通知
)

const (
	CHART_PERMISSION_NAME_YANXUAN    string = "研选"
	CHART_PERMISSION_NAME_MF_YANXUAN string = "买方研选"
	CHART_PERMISSION_ID_YANXUAN      int    = 31
	C_CLASS_ACTIVITY_TYPE_ID         int    = 7 //C类电话会会议ID
	ANALYST_TELL_ACTIVITY_TYPE_ID    int    = 2 //分析师电话会ID
	CE_LUE_NAME                      string = "策略"
	CE_LUE_ID                        int    = 23
	YI_YAO_NAME                      string = "医药"
	YI_YAO_ID                        int    = 22
	XIAO_FEI_NAME                    string = "消费"
	XIAO_FEI_ID                      int    = 21
	KE_JI_NAME                       string = "科技"
	KE_JI_ID                         int    = 20
	ZHI_ZAO_NAME                     string = "智造"
	ZHI_ZAO_ID                       int    = 19
	LINK_WX_EXPLAIN                         = "https://mp.weixin.qq.com/s?__biz=Mzg2OTYzODk0Nw==&mid=2247483662&idx=1&sn=3752df99025189b9d77fe658bfc0edbd&chksm=ce98b742f9ef3e54b49986e647dd951a3aad74f323174b252174e0938c264c0562c8ec455106#rd" //用户阅读数据
	ACTIVITY_SPECIAL_EXPLAIN                = "预报名专项调研行程持续更新中，满10家即开团，欢迎点击感兴趣预报名"                                                                                                                                                                //用户阅读数据
	HZ_COMPANY_ID                    int    = 16                                                                                                                                                                                                 // 弘则公司的ID
	HONG_GUAN_NAME                   string = "宏观"
	HONG_GUAN_ID                     int    = 1
)

const (
	CHART_INFO_HTTP_URL = "https://vmp.hzinsights.com/v2/charts/"
)

const (
	YAN_XUAN__EXPLAIN = "买方研选内容实行阶段，限时免费。也欢迎您向我们提宝贵建议。"
)

const (
	YD_TOKEN = "yidong_token"
)

const (
	SHANG_HAI_CRM_API_TOKEN = "SHANG_HAI_CRM_API_TOKEN"
)

const (
	//专项调研背景图片
	//ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/b2Bj3fGakP16iJRFKisQohCWnCNl.png"
	//ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/OkunjfKEgo5KRLifzwwLX8cDZnnN.png"
	//ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/XDLLsjC9XAAy8LIzQr7GsjrBbtX6.png"

	ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/2c4YHXzwb0uqvIfgPvBV4MZtKNX9.png"
	ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/UERktOWyQQEoPeckdy01TEZP09Pu.png"
	ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/cygx/special_list_bg.png"
)

const (
	YI_YAO_QI_TA = "https://hzstatic.hzinsights.com/static/temp/20220922202209/20220922/2OQMBFplQE1R3bX1y3obX7JSwSuA.png"
)

const (
	COMPANY_PRODUCT_FICC_ID   = 1
	COMPANY_PRODUCT_FICC_NAME = "ficc"
	COMPANY_PRODUCT_RAI_ID    = 2
	COMPANY_PRODUCT_RAI_NAME  = "权益"
)
